<!DOCTYPE html>
<html>

<head>
    <title>Todo Lists</title>
    <link rel="stylesheet" href="{% url static 'css/apps.css' % }">
</head>

<body>
    <main>
        <div>
            <h1>My lists</h1>

            <p>
                <a href="{% url 'create_todolist' %}">Create a new List</a>

            </p>
            <p>
                <a href="{% url 'create_todoitem' %}">Create a new item</a>

            </p>

            <table>
                <tr>
                    <thead>
                        <th>Name </th>
                        <th></th>
                        <th> Number of items</th>
                    </thead>
                </tr>

                {% for list in todo_lists %}
                <tr>
                    <td>

                        <div><a href="{% url 'show_todolist' list.id%}">{{list.name}}</a></div>
                    </td>

                    <td>
                        <div>{{list.items.all |length}}</div>
                    </td>
                </tr>
                {% endfor %}

            </table>


        </div>
    </main>
</body>

</html>